Skip to content

Look up a song's lyrics on LRCLIB, without writing them

GET
/api/songs/{id}/lyrics
id
required
string format: uuid

Lyrics, or null when none were found

object
ok
required
boolean
data
nullable

Invalid input

object
ok
required
boolean
error
required
string
code
string

Unauthenticated

object
ok
required
boolean
error
required
string
code
string

Forbidden / no permission

object
ok
required
boolean
error
required
string
code
string

Not found

object
ok
required
boolean
error
required
string
code
string

Rate limited

object
ok
required
boolean
error
required
string
code
string

Server error

object
ok
required
boolean
error
required
string
code
string